Bug 1254774 - [abrt] evolution-data-server: xmlFindCharEncodingHandler__internal_alias(): evolution-addressbook-factory-subprocess killed by SIGSEGV
[abrt] evolution-data-server: xmlFindCharEncodingHandler__internal_alias(): e...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4a5b2d7ca66009ce69fa02ffff1...
:
: 1277578 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 16:01 EDT by Nicolas Laplante
Modified: 2016-07-19 13:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:33:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (68.15 KB, text/plain)
2015-08-18 16:01 EDT, Nicolas Laplante
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-18 16:01 EDT, Nicolas Laplante
no flags Details
File: core_backtrace (35.93 KB, text/plain)
2015-08-18 16:01 EDT, Nicolas Laplante
no flags Details
File: dso_list (17.77 KB, text/plain)
2015-08-18 16:01 EDT, Nicolas Laplante
no flags Details
File: environ (915 bytes, text/plain)
2015-08-18 16:01 EDT, Nicolas Laplante
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-18 16:01 EDT, Nicolas Laplante
no flags Details
File: maps (84.80 KB, text/plain)
2015-08-18 16:01 EDT, Nicolas Laplante
no flags Details
File: mountinfo (3.63 KB, text/plain)
2015-08-18 16:01 EDT, Nicolas Laplante
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-18 16:01 EDT, Nicolas Laplante
no flags Details
File: open_fds (1.49 KB, text/plain)
2015-08-18 16:01 EDT, Nicolas Laplante
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2015-08-18 16:01 EDT, Nicolas Laplante
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-08-18 16:01 EDT, Nicolas Laplante
no flags Details

  None (edit)
Description Nicolas Laplante 2015-08-18 16:01:09 EDT
Version-Release number of selected component:
evolution-data-server-3.16.4-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-addressbook-factory-subprocess --factory ews --bus-name org.gnome.evolution.dataserver.Subprocess.Backend.AddressBookx2944x30 --own-path /org/gnome/evolution/dataserver/Subprocess/Backend/AddressBook/2944/30
crash_function: xmlFindCharEncodingHandler__internal_alias
executable:     /usr/libexec/evolution-addressbook-factory-subprocess
global_pid:     9963
kernel:         4.1.4-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 6 (10 frames)
 #0 xmlFindCharEncodingHandler__internal_alias at encoding.c:1670
 #1 xmlDocDumpFormatMemoryEnc__internal_alias at xmlsave.c:2443
 #2 xmlDocDumpMemory__internal_alias at xmlsave.c:2496
 #3 e_soap_message_persist at e-soap-message.c:1088
 #4 e_ews_message_write_footer at e-ews-message.c:249
 #5 e_ews_connection_get_folder at e-ews-connection.c:5891
 #6 e_ews_connection_get_folder_sync at e-ews-connection.c:5956
 #7 e_ews_connection_try_credentials_sync at e-ews-connection.c:2260
 #8 e_book_backend_ews_authenticate_sync at e-book-backend-ews.c:4142
 #9 e_backend_authenticate_sync at e-backend.c:246
Comment 1 Nicolas Laplante 2015-08-18 16:01:11 EDT
Created attachment 1064462 [details]
File: backtrace
Comment 2 Nicolas Laplante 2015-08-18 16:01:12 EDT
Created attachment 1064463 [details]
File: cgroup
Comment 3 Nicolas Laplante 2015-08-18 16:01:13 EDT
Created attachment 1064464 [details]
File: core_backtrace
Comment 4 Nicolas Laplante 2015-08-18 16:01:14 EDT
Created attachment 1064465 [details]
File: dso_list
Comment 5 Nicolas Laplante 2015-08-18 16:01:15 EDT
Created attachment 1064466 [details]
File: environ
Comment 6 Nicolas Laplante 2015-08-18 16:01:16 EDT
Created attachment 1064467 [details]
File: limits
Comment 7 Nicolas Laplante 2015-08-18 16:01:18 EDT
Created attachment 1064468 [details]
File: maps
Comment 8 Nicolas Laplante 2015-08-18 16:01:19 EDT
Created attachment 1064469 [details]
File: mountinfo
Comment 9 Nicolas Laplante 2015-08-18 16:01:19 EDT
Created attachment 1064470 [details]
File: namespaces
Comment 10 Nicolas Laplante 2015-08-18 16:01:20 EDT
Created attachment 1064471 [details]
File: open_fds
Comment 11 Nicolas Laplante 2015-08-18 16:01:21 EDT
Created attachment 1064472 [details]
File: proc_pid_status
Comment 12 Nicolas Laplante 2015-08-18 16:01:22 EDT
Created attachment 1064473 [details]
File: var_log_messages
Comment 13 Milan Crha 2015-08-19 05:26:01 EDT
Thanks for a bug report. I guess this is similar to yours bug #1254771, except this one happened in the address book factory, not in the calendar. Both are related to evolution-ews. Similar as there, I donot know from the backtrace what could cause the crash. The only thing I see is that the evolution-ews address book was trying to authenticate with the server.
Comment 14 Nicolas Laplante 2015-08-19 06:11:11 EDT
See my comment on the other bug https://bugzilla.redhat.com/show_bug.cgi?id=1254771#c14
Comment 15 Milan Crha 2015-11-04 02:38:49 EST
*** Bug 1277578 has been marked as a duplicate of this bug. ***
Comment 16 Fedora End Of Life 2016-07-19 13:33:56 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.